Get review workspace
curl --request GET \
--url https://api.pnbr.io/v1/orgs/{org}/projects/{project}/graph/workspaces/{ws} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.pnbr.io/v1/orgs/{org}/projects/{project}/graph/workspaces/{ws}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pnbr.io/v1/orgs/{org}/projects/{project}/graph/workspaces/{ws}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.pnbr.io/v1/orgs/{org}/projects/{project}/graph/workspaces/{ws}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.pnbr.io/v1/orgs/{org}/projects/{project}/graph/workspaces/{ws}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.pnbr.io/v1/orgs/{org}/projects/{project}/graph/workspaces/{ws}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.pnbr.io/v1/orgs/{org}/projects/{project}/graph/workspaces/{ws}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"workspace": {
"id": "<string>",
"creation_origin": "<string>",
"name": "<string>",
"description": "<string>",
"status": "open",
"revision": 0,
"item_count": 0,
"shape": {
"shape_id": "<string>",
"artifact_digest": "<string>"
},
"bindings": [
{
"shape_id": "<string>",
"artifact_digest": "<string>"
}
],
"bridge_set": {
"digest": "<string>",
"declaration_count": 0
},
"created_at": "<string>",
"updated_at": "<string>",
"applied_at": "<string>",
"replaced_by": "<string>"
},
"submission": {
"state": "not_started",
"source_revision": 0,
"sequence": 0,
"can_submit": true,
"can_resume": true,
"receipts": {
"lifecycle": {
"kind": "graph_create",
"mode": "managed_atomic",
"outcome": "applied",
"replayed": true,
"request_id": "<string>",
"delta_id": "<string>",
"project_id": "<string>",
"surface_id": "<string>",
"native_scope_id": "<string>",
"plan_digest": "<string>",
"graph_receipt_id": "<string>",
"graph_commit_position": "<string>",
"local_refs": {},
"target_revision": "<string>",
"effect_receipt_ref": "<string>",
"timings_ms": {},
"mutations": [
{
"resource_kind": "node",
"id": "<string>",
"revision": 0,
"operation_index": 0,
"mutation_kind": "<string>",
"implicit": true
}
]
},
"create": {
"kind": "graph_create",
"mode": "managed_atomic",
"outcome": "applied",
"replayed": true,
"request_id": "<string>",
"delta_id": "<string>",
"project_id": "<string>",
"surface_id": "<string>",
"native_scope_id": "<string>",
"plan_digest": "<string>",
"graph_receipt_id": "<string>",
"graph_commit_position": "<string>",
"local_refs": {},
"target_revision": "<string>",
"effect_receipt_ref": "<string>",
"timings_ms": {},
"mutations": [
{
"resource_kind": "node",
"id": "<string>",
"revision": 0,
"operation_index": 0,
"mutation_kind": "<string>",
"implicit": true
}
]
},
"link": {
"kind": "graph_create",
"mode": "managed_atomic",
"outcome": "applied",
"replayed": true,
"request_id": "<string>",
"delta_id": "<string>",
"project_id": "<string>",
"surface_id": "<string>",
"native_scope_id": "<string>",
"plan_digest": "<string>",
"graph_receipt_id": "<string>",
"graph_commit_position": "<string>",
"local_refs": {},
"target_revision": "<string>",
"effect_receipt_ref": "<string>",
"timings_ms": {},
"mutations": [
{
"resource_kind": "node",
"id": "<string>",
"revision": 0,
"operation_index": 0,
"mutation_kind": "<string>",
"implicit": true
}
]
}
},
"error": "<string>"
},
"items": [
{
"kind": "entity",
"handle": "<string>",
"ref": "<string>",
"type_name": "<string>",
"name": "<string>",
"properties": {},
"binding": {
"shape_id": "<string>",
"artifact_digest": "<string>"
},
"evidence": [
{}
],
"created_at": "<string>"
}
],
"total_items": 0,
"next_cursor": "<string>"
}
}Review workspaces
Get review workspace
Read the items staged in a graph workspace.
Get review workspace
curl --request GET \
--url https://api.pnbr.io/v1/orgs/{org}/projects/{project}/graph/workspaces/{ws} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.pnbr.io/v1/orgs/{org}/projects/{project}/graph/workspaces/{ws}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pnbr.io/v1/orgs/{org}/projects/{project}/graph/workspaces/{ws}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.pnbr.io/v1/orgs/{org}/projects/{project}/graph/workspaces/{ws}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.pnbr.io/v1/orgs/{org}/projects/{project}/graph/workspaces/{ws}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.pnbr.io/v1/orgs/{org}/projects/{project}/graph/workspaces/{ws}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.pnbr.io/v1/orgs/{org}/projects/{project}/graph/workspaces/{ws}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"workspace": {
"id": "<string>",
"creation_origin": "<string>",
"name": "<string>",
"description": "<string>",
"status": "open",
"revision": 0,
"item_count": 0,
"shape": {
"shape_id": "<string>",
"artifact_digest": "<string>"
},
"bindings": [
{
"shape_id": "<string>",
"artifact_digest": "<string>"
}
],
"bridge_set": {
"digest": "<string>",
"declaration_count": 0
},
"created_at": "<string>",
"updated_at": "<string>",
"applied_at": "<string>",
"replaced_by": "<string>"
},
"submission": {
"state": "not_started",
"source_revision": 0,
"sequence": 0,
"can_submit": true,
"can_resume": true,
"receipts": {
"lifecycle": {
"kind": "graph_create",
"mode": "managed_atomic",
"outcome": "applied",
"replayed": true,
"request_id": "<string>",
"delta_id": "<string>",
"project_id": "<string>",
"surface_id": "<string>",
"native_scope_id": "<string>",
"plan_digest": "<string>",
"graph_receipt_id": "<string>",
"graph_commit_position": "<string>",
"local_refs": {},
"target_revision": "<string>",
"effect_receipt_ref": "<string>",
"timings_ms": {},
"mutations": [
{
"resource_kind": "node",
"id": "<string>",
"revision": 0,
"operation_index": 0,
"mutation_kind": "<string>",
"implicit": true
}
]
},
"create": {
"kind": "graph_create",
"mode": "managed_atomic",
"outcome": "applied",
"replayed": true,
"request_id": "<string>",
"delta_id": "<string>",
"project_id": "<string>",
"surface_id": "<string>",
"native_scope_id": "<string>",
"plan_digest": "<string>",
"graph_receipt_id": "<string>",
"graph_commit_position": "<string>",
"local_refs": {},
"target_revision": "<string>",
"effect_receipt_ref": "<string>",
"timings_ms": {},
"mutations": [
{
"resource_kind": "node",
"id": "<string>",
"revision": 0,
"operation_index": 0,
"mutation_kind": "<string>",
"implicit": true
}
]
},
"link": {
"kind": "graph_create",
"mode": "managed_atomic",
"outcome": "applied",
"replayed": true,
"request_id": "<string>",
"delta_id": "<string>",
"project_id": "<string>",
"surface_id": "<string>",
"native_scope_id": "<string>",
"plan_digest": "<string>",
"graph_receipt_id": "<string>",
"graph_commit_position": "<string>",
"local_refs": {},
"target_revision": "<string>",
"effect_receipt_ref": "<string>",
"timings_ms": {},
"mutations": [
{
"resource_kind": "node",
"id": "<string>",
"revision": 0,
"operation_index": 0,
"mutation_kind": "<string>",
"implicit": true
}
]
}
},
"error": "<string>"
},
"items": [
{
"kind": "entity",
"handle": "<string>",
"ref": "<string>",
"type_name": "<string>",
"name": "<string>",
"properties": {},
"binding": {
"shape_id": "<string>",
"artifact_digest": "<string>"
},
"evidence": [
{}
],
"created_at": "<string>"
}
],
"total_items": 0,
"next_cursor": "<string>"
}
}Operation ID:
http.graph.workspaces.get
GET /v1/orgs/{org}/projects/{project}/graph/workspaces/{ws}
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
How many items, 1 to 400. Defaults to 100.
Skip this many items. Defaults to 0.
Response
2XX - application/json
Success.
Show child attributes
Show child attributes